aboutsummaryrefslogtreecommitdiff
path: root/libgo/mksigtab.sh
diff options
context:
space:
mode:
authorEdward Smith-Rowland <3dw4rd@verizon.net>2017-08-12 19:09:40 +0000
committerEdward Smith-Rowland <3dw4rd@verizon.net>2017-08-12 19:09:40 +0000
commit40fa8ee5f9da161462fde48776ef6262366f9a13 (patch)
treed3c3bf913950c59ef83b8d9ede50b0978ec0c12f /libgo/mksigtab.sh
parent3acaf2e51caf356a9afc763cfd70b91d1ab094b5 (diff)
Merged revisions r232323 through r251067 to the branchtr29124
git-svn-id: https://gcc.gnu.org/svn/gcc/branches/tr29124@251068 138bc75d-0d04-0410-961f-82ee72b054a4
Diffstat (limited to 'libgo/mksigtab.sh')
-rw-r--r--libgo/mksigtab.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/libgo/mksigtab.sh b/libgo/mksigtab.sh
index c3319705b81..2b07dd491b1 100644
--- a/libgo/mksigtab.sh
+++ b/libgo/mksigtab.sh
@@ -107,6 +107,19 @@ if test "${GOOS}" = "aix"; then
nsig=`expr $nsig + 1`
else
nsig=`grep 'const _*NSIG = [0-9]*$' gen-sysinfo.go | sed -e 's/.* = \([0-9]*\)/\1/'`
+ if test -z "$nsig"; then
+ if grep 'const _*NSIG = [ (]*_*SIGRTMAX + 1[ )]*' gen-sysinfo.go >/dev/null 2>&1; then
+ rtmax=`grep 'const _*SIGRTMAX = [0-9]*$' gen-sysinfo.go | sed -e 's/.* = \([0-9]*\)/\1/'`
+ if test -n "$rtmax"; then
+ nsig=`expr $rtmax + 1`
+ fi
+ fi
+ fi
+fi
+
+if test -z "$nsig"; then
+ echo 1>&2 "could not determine number of signals"
+ exit 1
fi
i=1